%global         momorel 1

Name:           perl-EV
Version:        3.431
Release:        %{momorel}m%{?dist}
Summary:        Perl interface to libev, a high performance full-featured event loop
License:        "Distributable, see COPYING"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/EV/
Source0:        http://www.cpan.org/authors/id/M/ML/MLEHMANN/EV-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides an interface to libev
(http://software.schmorp.de/pkg/libev.html).

%prep
%setup -q -n EV-%{version}

%build
echo "\r" | CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes COPYING README
%{perl_vendorarch}/auto/EV
%{perl_vendorarch}/EV*
%{_mandir}/man3/*

%changelog
* Sun Jul 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.431-1m)
- updaate to 3.431

* Wed Jul  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.43-1m)
- update to 3.43

* Thu May 22 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.41-1m)
- update to 3.41

* Mon May 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.33-1m)
- update to 3.33

* Fri Apr 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.31-1m)
- update to 3.31

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1-2m)
- rebuild against gcc43

* Sun Mar  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1-1m)
- update to 3.1

* Tue Jan 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0-1m)
- update to 3.0

* Mon Dec 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.01-1m)
- update to 2.01

* Sun Dec 23 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0-1m)
- update to 2.0

* Fri Dec 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.86-1m)
- update to 1.86

* Sat Dec 15 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.85-1m)
- update to 1.85

* Sun Dec  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.72-1m)
- update to 1.72

* Sat Dec  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.71-1m)
- update to 1.71

* Thu Dec  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6-1m)
- update to 1.6

* Thu Nov 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5-1m)
- update to 1.5

* Wed Nov 28 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4-1m)
- update to 1.4

* Sun Nov 25 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3-1m)
- update to 1.3

* Fri Nov 23 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2-1m)
- update to 1.2

* Sat Nov 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-1m)
- update to 1.0

* Thu Nov 15 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9-1m)
- update to 0.9

* Sat Nov 10 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
